Hex: DOMPreconditioner::PanelSolution Class Reference

| Hex 2.2 Hydrogen-electron collision solver

Public Member Functions | Data Fields
DOMPreconditioner::PanelSolution Class Reference

`#include <DOMPreconditioner.h>`

Collaboration diagram for DOMPreconditioner::PanelSolution:
[legend]

## Public Member Functions

| PanelSolution (int ixpanel, int iypanel, int xpanels, int ypanels, int order, Real theta, Bspline const &xspline, Bspline const &yspline, rArray cxspline1_inner, rArray rxspline_inner, rArray cxspline2_inner, rArray cyspline1_inner, rArray ryspline_inner, rArray cyspline2_inner, rArray cxspline1_full, rArray rxspline_full, rArray cxspline2_full, rArray cyspline1_full, rArray ryspline_full, rArray cyspline2_full, int Nang)

## Data Fields

Bspline | xspline_inner
Bspline | yspline_inner
Bspline | xspline_full
Bspline | yspline_full
cBlockArray | r
cBlockArray | z
int | ixpanel
int | iypanel
int | xoffset
int | yoffset
int | minpxspline
int | maxpxspline
int | minpyspline
int | maxpyspline

## Constructor & Destructor Documentation

## ◆ PanelSolution()

DOMPreconditioner::PanelSolution::PanelSolution | ( | int | ixpanel,
|  | int | iypanel,
|  | int | xpanels,
|  | int | ypanels,
|  | int | order,
|  | Real | theta,
|  | Bspline const & | xspline,
|  | Bspline const & | yspline,
|  | rArray | cxspline1_inner,
|  | rArray | rxspline_inner,
|  | rArray | cxspline2_inner,
|  | rArray | cyspline1_inner,
|  | rArray | ryspline_inner,
|  | rArray | cyspline2_inner,
|  | rArray | cxspline1_full,
|  | rArray | rxspline_full,
|  | rArray | cxspline2_full,
|  | rArray | cyspline1_full,
|  | rArray | ryspline_full,
|  | rArray | cyspline2_full,
|  | int | Nang
| ) |  |

## Field Documentation

## ◆ ixpanel

int DOMPreconditioner::PanelSolution::ixpanel

## ◆ iypanel

int DOMPreconditioner::PanelSolution::iypanel

## ◆ maxpxspline

int DOMPreconditioner::PanelSolution::maxpxspline

## ◆ maxpyspline

int DOMPreconditioner::PanelSolution::maxpyspline

## ◆ minpxspline

int DOMPreconditioner::PanelSolution::minpxspline

## ◆ minpyspline

int DOMPreconditioner::PanelSolution::minpyspline

## ◆ r

cBlockArray DOMPreconditioner::PanelSolution::r

## ◆ xoffset

int DOMPreconditioner::PanelSolution::xoffset

## ◆ xspline_full

Bspline DOMPreconditioner::PanelSolution::xspline_full

## ◆ xspline_inner

Bspline DOMPreconditioner::PanelSolution::xspline_inner

## ◆ yoffset

int DOMPreconditioner::PanelSolution::yoffset

## ◆ yspline_full

Bspline DOMPreconditioner::PanelSolution::yspline_full

## ◆ yspline_inner

Bspline DOMPreconditioner::PanelSolution::yspline_inner

## ◆ z

cBlockArray DOMPreconditioner::PanelSolution::z

The documentation for this class was generated from the following files:

- src/preconditioners/DOMPreconditioner.h
- src/preconditioners/DOMPreconditioner.cpp